Name:           roxterm
Version:        2.2.2
Release:        3%{?dist}
Summary:        A fast terminal emulator

Group:          User Interface/X
License:        GPLv2+
URL:            http://roxterm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Patch0:         roxterm-2.0.1-dsofix.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vte3-devel
BuildRequires:  libglade2-devel
BuildRequires:  libSM-devel
BuildRequires:  gtk3-devel
BuildRequires:  dbus-glib-devel
BuildRequires:  dbus-devel
BuildRequires:  desktop-file-utils
BuildRequires:  xmlto
BuildRequires:  po4a
%if 0%{?fedora} <= 14 || 0%{?rhel}
BuildRequires:  control-center
Requires:       control-center-filesystem
%endif

%description
ROXTerm is a terminal emulator intended to provide similar 
features to gnome-terminal, based on the same VTE library, 
but with a smaller footprint and quicker start-up time. It 
achieves this by not using the Gnome libraries and by using 
a separate applet to provide the configuration GUI. It can 
be used as a ROX application, as the name implies, or in 
any other X environment.

%prep
%setup -q
%patch0 -p1 -b .dsofix

%build
%configure --docdir=%{_defaultdocdir}/%{name}-%{version} --disable-rpath
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

desktop-file-install --vendor "fedora"                        \
        --dir $RPM_BUILD_ROOT/%{_datadir}/applications        \
        --remove-category Utility                             \
        --add-category System                                 \
        --delete-original                                     \
    $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

#%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
# -f %{name}.lang
%defattr(-,root,root,-)
%doc Help/AUTHORS Help/lib Help/COPYING NEWS ChangeLog
%lang(en) %doc Help/en
#%lang(es) %doc Help/es
%{_bindir}/roxterm
%{_bindir}/roxterm-config
%{_datadir}/applications/fedora-roxterm.desktop
%{_datadir}/roxterm/
%{_datadir}/icons/hicolor/scalable/apps/roxterm.svg
%{_mandir}/man1/roxterm-config.1.*
%{_mandir}/man1/roxterm.1.*
#%lang(es) %{_mandir}/es/man1/roxterm-config.1.*
#%lang(es) %{_mandir}/es/man1/roxterm.1.*
%if 0%{?fedora} <= 14 || 0%{?rhel}
%{_datadir}/gnome-control-center/default-apps/roxterm.xml
%endif

%changelog
* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Oct 06 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.2-1
- Update to 2.2.2 (#743869)

* Wed Sep 28 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.2.1-1
- Update to 2.2.1 (#741887)

* Fri Sep 16 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.3-1
- Update to 2.1.3 (#739024)

* Thu Sep 15 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.2-1
- Update to 2.1.2 (#738600)

* Sat Sep 10 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.1.1-1
- Update to 2.1.1 (#732262)

* Tue Aug 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 2.0.1-1
- Update to 2.0.1 (#732262)
- Build against gtk3 and vte3

* Tue Aug 23 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.22.2-1
- Update to 1.22.2 (#732262)

* Sat Jul 16 2011 Ján ONDREJ (SAL) <ondrejj(at)salstar.sk> - 1.21.2-1
- Update to 1.21.2, fixes TERM variable setting (bz#719830)

* Mon Mar 28 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.21.1-1
- Update to 1.21.1
- Make GNOME 2 control-center integration conditional

* Wed Feb 09 2011 Christoph Wickert <cwickert@fedoraproject.org> - 1.20.5-2
- Temporarily disable GNOME control-center integration for 
  https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jan  3 2011 Dan Horák <dan[at]danny.cz> - 1.20.5-1
- Update to 1.20.5

* Thu Dec 30 2010 Dan Horák <dan[at]danny.cz> - 1.20.4-1
- Update to 1.20.4

* Mon Dec 20 2010 Dan Horák <dan[at]danny.cz> - 1.20.2-1
- Update to 1.20.2

* Wed Oct 27 2010 Dan Horák <dan[at]danny.cz> - 1.19.4-1
- Update to 1.19.4

* Fri Jul 23 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.18.5-1
- Update to 1.18.5

* Mon Jun 21 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.18.4-1
- Update to 1.18.4

* Sun May 23 2010 Dan Horák <dan[at]danny.cz> - 1.18.3-1
- Update to 1.18.3

* Sun May  9 2010 Dan Horák <dan[at]danny.cz> - 1.18.2-1
- Update to 1.18.2

* Wed Mar 24 2010 Christoph Wickert <cwickert@fedoraproject.org> - 1.18.1-1
- Update to 1.18.1
- Build GNOME preferred apps integration
- BR xmlto for manpages and libSM-devel for session management
- Include new manpages and ChangeLog
- Drop README from %%doc as it only referred to index.html

* Wed Jan 06 2010 Sebastian Vahl <svahl@fedoraproject.org> - 1.17.1-1
- new upstream release: 1.17.1

* Tue Dec 22 2009 Sebastian Vahl <svahl@fedoraproject.org> - 1.16.3-1
- new upstream release: 1.16.3

* Tue Aug 11 2009 Sebastian Vahl <svahl@fedoraproject.org> - 1.15.2-1
- new upstream release: 1.15.2

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.14.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Jun 09 2009 Christoph Wickert <cwickert@fedoraproject.org> - 1.14.2-2
- Rebuilt for libvte SONAME bump

* Thu Apr 16 2009 Sebastian Vahl <fedora@deadbabylon.de> - 1.14.2-1
- new upstream version: 1.14.2
- fix help link

* Fri Apr 10 2009 Sebastian Vahl <fedora@deadbabylon.de> - 1.14.1-1
- new upstream version: 1.14.1

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.13.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 01 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.13.0-1
- new upstream version: 1.13.0

* Sat Jun 22 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.12.1-2
- new upstream version: 1.12.2
- move menu entry to category "System"

* Fri May 23 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.12.1-1
- new upstream version: 1.12.1

* Tue May 20 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.12.0-1
- new upstream version: 1.12.0

* Sun Mar 31 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.11.1-1
- new upstream version: 1.11.1

* Sat Feb 09 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.10.1-1
- new upstream version: 1.10.1

* Wed Jan 23 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.10.0-1
- new upstream version: 1.10.0

* Wed Jan 02 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.9.1-1
- new upstream version: 1.9.1

* Tue Jan 01 2008 Sebastian Vahl <fedora@deadbabylon.de> - 1.9.0-1
- new upstream version: 1.9.0

* Thu Dec 13 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.8.1-1
- new upstream version: 1.8.1

* Mon Nov 12 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.8.0-1
- new upstream version: 1.8.0

* Wed Sep 19 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-4
- correct %%doc in spec

* Wed Sep 19 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-3
- own directories
- set %%{_docdir} to %%{name}-%%{version}

* Tue Sep 18 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-2
- use gtk-update-icon-cache in %%post and %%postun

* Tue Sep 18 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.4-1
- new upstream version: 1.7.4
- correct url

* Tue Sep 11 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.7.1-1
- new upstream version
- change license to GPLv2+
- BR: dbus-devel

* Tue May 15 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.5.1-2
- BR: dbus-glib-devel, desktop-file-utils

* Fri Mar 30 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.5.1-1
- new upstream version: 0.5.1

* Tue Feb 20 2007 Sebastian Vahl <fedora@deadbabylon.de> - 1.4.1-1
- Initial Release
